[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLResCache' (#lcl)

# TBlockResourceCacheDescriptor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBlockResourceCacheDescriptor - descriptor for a Block Resource Cache.

## Declaration

Source position: lclrescache.pas line 123

`type TBlockResourceCacheDescriptor = class(TResourceCacheDescriptor)`
`public`
`Data: Pointer;` |  | Pointer to the Data.
`destructor Destroy; override;` |  | Destructor for the class instance.
`end;`

## Inheritance

`TBlockResourceCacheDescriptor` |  | TBlockResourceCacheDescriptor - descriptor for a Block Resource Cache.
`TResourceCacheDescriptor` |  | TResourceCacheDescriptor - a class of descriptors for ResourceCache Items.
`TObject`